Package org.eclipse.jgit.gitrepo

## Interface RepoCommand.IncludedFileReader

Enclosing class:
  RepoCommand

    public static interface RepoCommand.IncludedFileReader

A callback to read included xml files.

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`InputStream` `readIncludeFile​(String path)` Read a file from the same base dir of the manifest xml file.

### Method Detail

#### readIncludeFile

    InputStream readIncludeFile​(String path)
                         throws GitAPIException,
                                IOException

Read a file from the same base dir of the manifest xml file.

Parameters:
  `path` - The relative path to the file to read
Returns:
  the `InputStream` of the file.
Throws:
  `GitAPIException`
  `IOException`